Syneic

Member
Mar 17, 2014
11
2
3
cPanel Access Level
DataCenter Provider
I've been using /usr/local/cpanel/cgi-sys/ea-phpXX for the longest time for some custom config i have, but it seems php7.2 was shipped without adding a binary for this version.

I have ways to get around this, but I was wondering if those binaries did any checks against ownership/permission data, or if it just plain and simply executed /opt/cpanel/ea-phpXX/root/usr/bin/php-cgi file.

Thanks for adding stable release of 7.2 :)
 

JacobPerkins

Well-Known Member
May 2, 2014
617
97
103
cPanel Access Level
DataCenter Provider
Twitter
Hi,

My apologies, we missed this. I've opened case EA-7010 to get this fixed. We will get this out in our next release.

Those files simply executed the linked PHP binary, nothing more. I hope this helps!